* {
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none; 
}
body {
    font-family: 'Courier New', Courier, monospace;
    margin: 0;
    padding: 0;
    background-color: transparent;
    color: #f4f4f4;
    display: flex;
    flex-direction: column;
}
main {
    margin: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 100px);
}
#chat-container {
    padding: 20px;
    background: linear-gradient(135deg, #6a11cb, #2575fc);
    color: #fff;
    border-radius: 15px;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2);
    margin-top: 20px;
    border: none;
    width: 100%;
    max-width: 600px;
    height: 90%;
    display: flex;
    flex-direction: column;
}
h1 {
    color: #fff;
    text-align: center;
    margin-top: 0;
    font-size: 1.8rem;
    text-shadow: 0 0 10px rgba(255, 255, 255, 0.8);
}
#messages {
    flex-grow: 1;
    overflow-y: auto;
    margin-bottom: 10px;
    padding: 10px;
    background: rgba(255, 255, 255, 0.1);
    color: #fff;
    border-radius: 10px;
    box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.5);
}
.message {
    margin-bottom: 10px;
    padding: 10px;
    background: linear-gradient(135deg, #ff9a9e, #fad0c4);
    color: #000;
    border-radius: 20px;
    max-width: 70%;
    align-self: flex-start;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    font-size: 0.9rem;
}
.message.self {
    background: linear-gradient(135deg, #a18cd1, #fbc2eb); 
    align-self: flex-end;
}
#input-container {
    display: flex;
    align-items: center;
    margin-top: 10px;
}
#name-input {
    width: calc(25% - 10px);
    padding: 10px;
    border: none;
    border-radius: 5px;
    background: rgba(255, 255, 255, 0.2);
    color: #fff;
    margin-right: 10px;
    font-size: 0.9rem;
    box-sizing: border-box;
}
#message-input {
    width: calc(75% - 10px);
    padding: 10px;
    border: none;
    border-radius: 5px;
    background: rgba(255, 255, 255, 0.2);
    color: #fff;
    margin-right: 10px;
    font-size: 0.9rem;
    box-sizing: border-box;
}
#name-input::placeholder {
    color: #ddd;
    opacity: 1;
}
#message-input::placeholder {
    color: #ddd;
    opacity: 1;
}
#send-button {
    padding: 10px 20px;
    background: linear-gradient(135deg, #ff9a9e, #fad0c4);
    color: #000;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: transform 0.3s, background 0.3s;
    font-size: 0.9rem;
}
#send-button:hover {
    transform: scale(1.1);
    background: linear-gradient(135deg, #fbc2eb, #a18cd1);
}
.message strong {
    color: #333;
    font-weight: bold;
}
#messages::-webkit-scrollbar {
    width: 8px;
}
#messages::-webkit-scrollbar-thumb {
    background: linear-gradient(135deg, #6a11cb, #2575fc);
    border-radius: 10px;
}
#messages::-webkit-scrollbar-track {
    background: rgba(255, 255, 255, 0.1);
}
@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}